# Uses of Class
com.logicaldoc.core.document.DocumentLink

Packages that use DocumentLink
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentLink in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return DocumentLink
Modifier and Type
Method
Description
`DocumentLink`
DocTool.`link(Document doc1, Document doc2, String type)`
Links two documents

## Uses of DocumentLink in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return DocumentLink
Modifier and Type
Method
Description
`DocumentLink`
DocumentLinkDAO.`findByDocIdsAndType(long docId1, long docId2, String type)`
Find a document link using its alternate keys
`DocumentLink`
HibernateDocumentLinkDAO.`findByDocIdsAndType(long docId1, long docId2, String type)`
Methods in com.logicaldoc.core.document that return types with arguments of type DocumentLink
Modifier and Type
Method
Description
`List<DocumentLink>`
DocumentLinkDAO.`findByDocId(long docId)`
This method finds the list of document link in which there is a document with the given ID
`List<DocumentLink>`
DocumentLinkDAO.`findByDocId(long docId, String type)`
This method finds the list of document link, filtered by the given link type, in which there is a document with the given ID
`List<DocumentLink>`
HibernateDocumentLinkDAO.`findByDocId(long docId)`
`List<DocumentLink>`
HibernateDocumentLinkDAO.`findByDocId(long docId, String type)`
Methods in com.logicaldoc.core.document with parameters of type DocumentLink
Modifier and Type
Method
Description
`void`
HibernateDocumentLinkDAO.`store(DocumentLink entity)`